package com.jeeplus.modules.supply.projectInformation.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.supply.materialLibrary.entity.MaterialLibrary;
import com.jeeplus.modules.supply.projectInformation.entity.ProjectInformation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface ProjectInformationMapper extends BaseMapper<ProjectInformation> {

    Integer insertSubmissionFormList(@Param("list") List<ProjectInformation> list);

    Integer insertProjectInformationList(@Param("list") List<ProjectInformation> list);

    //按审定单idlist来查询
    List<String> getSubmissionFormIdListBysubmissionFormIdList(@Param("submissionFormIdList") List<String> submissionFormIdList);

    Integer deleteAll(@Param("codeList") List<String> codeList);
    void deletex(String id);
}
